function mydemo(filename)

% function mydemo(filename)
% This function steps through the matlab code in file filename,
% echoing the instructions and the comments.
%
% When it encounters a "pause" (with no trailing blanks),
%   it pauses without echo.
%
% This function is simple minded and works only if there are no
% "statements" spread across multiple lines.  This includes
%    loops (while, for, etc.)
%    if statements 
%    "..." continuations.
%
% DPO  08/2005

myfid=fopen(filename,'r');

while(feof(myfid)==0)
  myline = fgetl(myfid);
  if (length(myline) > 4)
    if (sum(myline(end-4:end) == 'pause')<5)
      fprintf('%s \n',myline);
    end
  else
     fprintf('%s \n',myline);
  end
  eval(myline)
end
